Create a photo
POST
/v1/projects/{projectId}/collection-orders/{orderId}/scenes/{sceneId}/photoscurl -X POST 'https://api.embodiflow.io/v1/projects/{projectId}/collection-orders/{orderId}/scenes/{sceneId}/photos' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"fileName": "string",
"contentType": "string",
"sizeBytes": 0
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
- orderIdstring必填
- sceneIdstring必填
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- fileNamestring必填
- contentTypestring | null
- sizeBytesnumber | null
响应
Success
- dataobject必填
- objectKeystring必填
- uploadUrlstring必填
- headersobject必填
- expiresInSecondsnumber必填
响应示例
{
"data": {
"objectKey": "string",
"uploadUrl": "string",
"headers": {},
"expiresInSeconds": 0
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1